### Home Classes Methods

### In Files

- lib/github_api/repos/pub_sub_hubbub.rb

### Parent

Github::API

### Methods

- #subscribe
- #subscribe_repo
- #subscribe_repository
- #subscribe_service
- #unsubscribe
- #unsubscribe_repo
- #unsubscribe_repository
- #unsubscribe_service

### Class/Module Index

Quicksearch

- Github
- Github::API
- Github::Activity
- Github::Activity::Events
- Github::Activity::Notifications
- Github::Activity::Starring
- Github::Activity::Watching
- Github::ApiFactory
- Github::Arguments
- Github::Authorization
- Github::Authorizations
- Github::AutoloadHelper
- Github::Client
- Github::Configuration
- Github::Connection
- Github::Constants
- Github::CoreExt
- Github::CoreExt::OrderedHash
- Github::Descendants
- Github::Emojis
- Github::Error
- Github::Error::BadRequest
- Github::Error::ClientError
- Github::Error::Forbidden
- Github::Error::GithubError
- Github::Error::InternalServerError
- Github::Error::InvalidOptions
- Github::Error::NotAcceptable
- Github::Error::NotFound
- Github::Error::RequiredParams
- Github::Error::ServiceError
- Github::Error::ServiceUnavailable
- Github::Error::Unauthorized
- Github::Error::UnknownValue
- Github::Error::UnprocessableEntity
- Github::Error::Validations
- Github::Gists
- Github::Gists::Comments
- Github::GitData
- Github::GitData::Blobs
- Github::GitData::Commits
- Github::GitData::References
- Github::GitData::Tags
- Github::GitData::Trees
- Github::Gitignore
- Github::Issues
- Github::Issues::Assignees
- Github::Issues::Comments
- Github::Issues::Events
- Github::Issues::Labels
- Github::Issues::Milestones
- Github::Jsonable
- Github::Markdown
- Github::Meta
- Github::MimeType
- Github::Normalizer
- Github::Orgs
- Github::Orgs::Members
- Github::Orgs::Teams
- Github::PageIterator
- Github::PageLinks
- Github::PagedRequest
- Github::Pagination
- Github::ParameterFilter
- Github::ParamsHash
- Github::PullRequests
- Github::PullRequests::Comments
- Github::RateLimit
- Github::Repos
- Github::Repos::Collaborators
- Github::Repos::Comments
- Github::Repos::Commits
- Github::Repos::Contents
- Github::Repos::Downloads
- Github::Repos::Forks
- Github::Repos::Hooks
- Github::Repos::Keys
- Github::Repos::Merging
- Github::Repos::PubSubHubbub
- Github::Repos::Statistics
- Github::Repos::Statuses
- Github::Request
- Github::Request::BasicAuth
- Github::Request::Jsonize
- Github::Request::OAuth2
- Github::Resource
- Github::Response
- Github::Response::Header
- Github::Response::Jsonize
- Github::Response::Mashify
- Github::Response::RaiseError
- Github::Response::Xmlize
- Github::ResponseWrapper
- Github::S3Uploader
- Github::Say
- Github::Scopes
- Github::Search
- Github::Users
- Github::Users::Emails
- Github::Users::Followers
- Github::Users::Keys
- Github::Utils
- Github::Utils::Url
- Github::VERSION
- Github::Validations
- Github::Validations::Format
- Github::Validations::Presence
- Github::Validations::Required
- Github::Validations::Token
- Hash

No matching classes.

# Github::Repos::PubSubHubbub

### Constants

OPTIONS

### Public Instance Methods

subscribe(*args) click to toggle source

Subscribe to existing topic/event through pubsubhubbub

# Parameters

- topic - Required string - The URI of the GitHub repository to subscribe to. The path must be in the format of /:user/:repo/events/:event.

- callback - Required string - The URI to receive the updates to the topic.

# Examples

    github = Github.new :oauth_token => '...'
    github.repos.pubsubhubbub.subscribe
      'https://github.com/:user/:repo/events/push',
      'github://Email?address=peter-murach@gmail.com',
      :verify => 'sync',
      :secret => '...'

    # File lib/github_api/repos/pub_sub_hubbub.rb, line 24
    def subscribe(*args)
      params = arguments(args, :required => [:topic, :callback]).params
      _merge_action!("subscribe", topic, callback, params)
      params['options'] = OPTIONS

      post_request("/hub", params)
    end

subscribe_repo(*args) click to toggle source
Alias for: subscribe_service
subscribe_repository(*args) click to toggle source
Alias for: subscribe_service
subscribe_service(*args) click to toggle source

Subscribe repository to service hook through pubsubhubbub

# Parameters

- repo-name - Required string,

- service-name - Required string

- `:event` - Required hash key for the type of event. The default event is `push`

# Examples

    github = Github.new :oauth_token => '...'
    github.repos.pubsubhubbub.subscribe_service 'user-name', 'repo-name', 'campfire',
      :subdomain => 'github',
      :room => 'Commits',
      :token => 'abc123',
      :event => 'watch'

    # File lib/github_api/repos/pub_sub_hubbub.rb, line 69
    def subscribe_service(*args)
      params   = arguments(args, :required => [:user, :repo, :service]).params
      event    = params.delete('event') || 'push'
      topic    = "#{site}/#{user}/#{repo}/events/#{event}"
      callback = "github://#{service}?#{params.serialize}"

      subscribe(topic, callback)
    end

Also aliased as: subscribe_repository, subscribe_repo
unsubscribe(*args) click to toggle source

Unsubscribe from existing topic/event through pubsubhubbub

# Parameters

- topic - Required string - The URI of the GitHub repository to unsubscribe from. The path must be in the format of /:user/:repo/events/:event.

- callback - Required string - The URI to unsubscribe the topic from.

# Examples

    github = Github.new :oauth_token => '...'
    github.repos.pubsubhubbub.unsubscribe
      'https://github.com/:user/:repo/events/push',
      'github://Email?address=peter-murach@gmail.com',
      :verify => 'sync',
      :secret => '...'

    # File lib/github_api/repos/pub_sub_hubbub.rb, line 46
    def unsubscribe(*args)
      params = arguments(args, :required => [:topic, :callback]).params
      _merge_action!("unsubscribe", topic, callback, params)
      params['options'] = OPTIONS

      post_request("/hub", params)
    end

unsubscribe_repo(*args) click to toggle source
Alias for: unsubscribe_service
unsubscribe_repository(*args) click to toggle source
Alias for: unsubscribe_service
unsubscribe_service(*args) click to toggle source

Subscribe repository to service hook through pubsubhubbub

# Parameters

- repo-name - Required string,

- service-name - Required string

- `:event` - Optional hash key for the type of event. The default event is `push`

# Examples

    github = Github.new :oauth_token => '...'
    github.repos.pubsubhubbub.unsubscribe_service 'user-name', 'repo-name', 'campfire'

    # File lib/github_api/repos/pub_sub_hubbub.rb, line 91
    def unsubscribe_service(*args)
      params   = arguments(args, :required => [:user, :repo, :service]).params
      event    = params.delete('event') || 'push'
      topic    = "#{site}/#{user}/#{repo}/events/#{event}"
      callback = "github://#{service}"

      unsubscribe(topic, callback)
    end

Also aliased as: unsubscribe_repository, unsubscribe_repo

[Validate]

Generated with the Darkfish Rdoc Generator 2.